Рекомендация Debian по безопасности

DSA-2839-1 spice -- отказ в обслуживании

Дата сообщения:
08.01.2014
Затронутые пакеты:
spice
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 717030, Ошибка 728314.
В каталоге Mitre CVE: CVE-2013-4130, CVE-2013-4282.
Более подробная информация:

В spice, библиотеке протокола SPICE для клиента и сервера, были обнаружены многочисленные уязвимости. Проект Common Vulnerabilities and Exposures определяет следующие проблемы:

  • CVE-2013-4130

    Дэвид Гибсон из Red Hat обнаружил, что SPICE некорректно обрабатывает некоторые сетевые ошибки. Удалённый пользователь, имеющий возможность инициировать подключение SPICE к приложению, действующему в качестве сервера SPICE, может использовать эту уязвимость для аварийного завершения данного приложения.

  • CVE-2013-4282

    Томас Джамриско из Red Hat обнаружил, что SPICE некорректно обрабатывает длинные пароли в билетах SPICE. Удалённый пользователь, имеющий возможность инициировать подключение SPICE к приложению, действующему в качестве сервера SPICE, может использовать эту уязвимость для аварийного завершения данного приложения.

Приложения, действующие в качестве сервера SPICE, следует перезапустить после применения данного обновления.

В стабильном выпуске (wheezy) эти проблемы были исправлены в версии 0.11.0-1+deb7u1.

В тестируемом выпуске (jessie) эти проблемы были исправлены в версии 0.12.4-0nocelt2.

В нестабильном выпуске (sid) эти проблемы были исправлены в версии 0.12.4-0nocelt2.

Рекомендуется обновить пакеты spice.